"""
Heart-Centered AI Prompts

A Python package to easily integrate heart-centered AI system prompts.
"""

from .api import get_prompt

try:
    # Use the version generated by setuptools_scm
    from importlib.metadata import PackageNotFoundError, version

    __version__ = version("heart_centered_prompts")
except (ImportError, PackageNotFoundError):
    # During development or when package is not installed
    try:
        from setuptools_scm import get_version  # type: ignore[import]

        __version__ = get_version(root="..", relative_to=__file__)
    except (ImportError, LookupError):
        __version__ = "0.0.0.dev0+unknown"

__all__ = ["get_prompt"]
